html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* 自定义样式开始 */
#sale_report {
    margin-top: 20px;
}
thead {
    font-weight: bold;
    color: #204d74;
}
#pagination {
    text-align: center;
}
h1 {
    font-size: 2em;
}
legend {
    font-size: 1.2em;
}

table td {
    vertical-align:middle !important;
}

/* jQuery UI ComboBox样式 */
.form-search .combobox-container,
.form-inline .combobox-container {
    display: inline-block;
    margin-bottom: 0;
    vertical-align: top;
}
.form-search .combobox-container .input-group-addon,
.form-inline .combobox-container .input-group-addon {
    width: auto;
}
.combobox-selected .caret {
    display: none;
}
/* :not doesn't work in IE8 */
.combobox-container:not(.combobox-selected) .glyphicon-remove {
    display: none;
}
.typeahead-long {
    max-height: 300px;
    overflow-y: auto;
}
.control-group.error .combobox-container .add-on {
    color: #B94A48;
    border-color: #B94A48;
}
.control-group.error .combobox-container .caret {
    border-top-color: #B94A48;
}
.control-group.warning .combobox-container .add-on {
    color: #C09853;
    border-color: #C09853;
}
.control-group.warning .combobox-container .caret {
    border-top-color: #C09853;
}
.control-group.success .combobox-container .add-on {
    color: #468847;
    border-color: #468847;
}
.control-group.success .combobox-container .caret {
    border-top-color: #468847;
}
.demo, .result{
    border: solid 1px #999;
    box-sizing: contentbox;
    padding: 0.5em;
    margin: 1em 0 1em 0;
    width: 100%;
}
.result img{
    border: solid 1px #ccc;
    height: 200px;
}